View Issue Details

IDProjectCategoryView StatusLast Update
0001221NoesisGUIUnity3Dpublic2020-09-16 17:37
ReportermingingminglerAssigned Tojsantos 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1.0b15 
Target Version3.0.5Fixed in Version3.0.5 
Summary0001221: Noesis renders top to bottom gradients the wrong way round in Textblock's Foreground
DescriptionWhen a Textblock's Foreground property is set to use a gradient brush with a start point of 0,0 and an endpoint of 0,1, the gradient is rendered the wrong way around.

Attached screenshot shows: Noesis rendering (top) and Wpf rendering (bottom)
Steps To Reproduce- Add a Textblock to the scene and set some test text
- Set the Textblock's Foreground to be a LinearGradientBrush with points 0,0 and 0,1
- Add two gradient stops with offsets 0 and 1
- Observe how Noesis renders the gradients the opposite way to Wpf
Additional Information<Grid>
        <Viewbox>
            <Grid Width="1920" Height="1080">
                <TextBlock Text="Sample text" FontSize="128">
                    <TextBlock.Foreground>
                        <LinearGradientBrush StartPoint="0,0" EndPoint="0,1">
                            <GradientStop Color="Red" Offset="0" />
                            <GradientStop Color="Green" Offset="1" />
                        </LinearGradientBrush>
                    </TextBlock.Foreground>
                </TextBlock>
            </Grid>
        </Viewbox>
    </Grid>
TagsNo tags attached.
PlatformAny

Activities

mingingmingler

mingingmingler

2018-01-18 01:59

reporter  

gradientwrong.png (22,108 bytes)
gradientwrong.png (22,108 bytes)

Issue History

Date Modified Username Field Change
2018-01-18 01:59 mingingmingler New Issue
2018-01-18 01:59 mingingmingler File Added: gradientwrong.png
2018-01-25 13:54 sfernandez Assigned To => jsantos
2018-01-25 13:54 sfernandez Status new => assigned
2018-11-01 02:14 jsantos View Status public => private
2020-09-14 01:50 jsantos Target Version => 3.0.5
2020-09-14 01:50 jsantos Platform => Any
2020-09-14 01:56 jsantos View Status private => public
2020-09-16 17:37 jsantos Status assigned => resolved
2020-09-16 17:37 jsantos Resolution open => fixed
2020-09-16 17:37 jsantos Fixed in Version => 3.0.5